package com.community.huiju.service;

import com.community.commom.session.UserElement;

import java.util.Map;

public interface WxPayServiceI {
	/**
	 * 微信支付统一下单
	 * @return
	 * @param billInvoiceId
	 * @param userElement
	 */
	Map<String, String> wxUnifiedOrder(Integer billInvoiceId, UserElement userElement) throws Exception;
	
	/**
	 * 下载对账单
	 * @return
	 */
	Map<String, String> wxDownloadBill() throws Exception;
	
	/**
	 * 订单查询
	 * @return
	 */
	Map<String, String> wxOrderQuery() throws Exception;
}
